xgboost

Public Member Functions | Static Public Member Functions | List of all members
xgboost::TrainingObserver Class Reference

`#include <observer.h>`

Collaboration diagram for xgboost::TrainingObserver:

## Public Member Functions
void | Update (int32_t iter) const
void | Observe (RegTree const &tree)
void | Observe (RegTree const *p_tree)
template<typename T >
void | Observe (common::Span< T > span, std::string name, size_t n=std::numeric_limits< std::size_t >::max())
template<typename T >
void | Observe (std::vector< T > const &h_vec, std::string name, size_t n=std::numeric_limits< std::size_t >::max()) const
template<typename T >
void | Observe (HostDeviceVector< T > const &vec, std::string name, size_t n=std::numeric_limits< std::size_t >::max()) const
template<typename T >
void | Observe (HostDeviceVector< T > *vec, std::string name, size_t n=std::numeric_limits< std::size_t >::max()) const
template<typename Parameter , typename std::enable_if< std::is_base_of< XGBoostParameter< Parameter >, Parameter >::value >::type * = nullptr>
void | Observe (const Parameter &p, std::string name) const
void | Observe (Args const &args) const

## Static Public Member Functions
static TrainingObserver & | Instance ()

## Member Function Documentation

## ◆ Instance()

static TrainingObserver& xgboost::TrainingObserver::Instance | ( |  | ) |
| inline static

## ◆ Observe() [1/8]

void xgboost::TrainingObserver::Observe | ( | Args const & | args | ) | const
| inline

## ◆ Observe() [2/8]

template<typename T >

void xgboost::TrainingObserver::Observe | ( | common::Span< T > | span,
|  | std::string | name,
|  | size_t | n = `std::numeric_limits<std::size_t>::max()`
| ) |  |
| inline

## ◆ Observe() [3/8]

template<typename Parameter , typename std::enable_if< std::is_base_of< XGBoostParameter< Parameter >, Parameter >::value >::type * = nullptr>

void xgboost::TrainingObserver::Observe | ( | const Parameter & | p,
|  | std::string | name
| ) |  | const
| inline

## ◆ Observe() [4/8]

template<typename T >

void xgboost::TrainingObserver::Observe | ( | HostDeviceVector< T > * | vec,
|  | std::string | name,
|  | size_t | n = `std::numeric_limits<std::size_t>::max()`
| ) |  | const
| inline

## ◆ Observe() [5/8]

template<typename T >

void xgboost::TrainingObserver::Observe | ( | HostDeviceVector< T > const & | vec,
|  | std::string | name,
|  | size_t | n = `std::numeric_limits<std::size_t>::max()`
| ) |  | const
| inline

## ◆ Observe() [6/8]

void xgboost::TrainingObserver::Observe | ( | RegTree const & | tree | ) |
| inline

## ◆ Observe() [7/8]

void xgboost::TrainingObserver::Observe | ( | RegTree const * | p_tree | ) |
| inline

## ◆ Observe() [8/8]

template<typename T >

void xgboost::TrainingObserver::Observe | ( | std::vector< T > const & | h_vec,
|  | std::string | name,
|  | size_t | n = `std::numeric_limits<std::size_t>::max()`
| ) |  | const
| inline

## ◆ Update()

void xgboost::TrainingObserver::Update | ( | int32_t | iter | ) | const
| inline

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/observer.h